<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>laravel/laravel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">laravel/laravel</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/app.html">App</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/app-actions.html">Actions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-console.html">Console</a>
                
            </li>
                    <li>
                <a href="namespaces/app-exceptions.html">Exceptions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-facade.html">Facade</a>
                
            </li>
                    <li>
                <a href="namespaces/app-http.html">Http</a>
                
            </li>
                    <li>
                <a href="namespaces/app-mail.html">Mail</a>
                
            </li>
                    <li>
                <a href="namespaces/app-models.html">Models</a>
                
            </li>
                    <li>
                <a href="namespaces/app-providers.html">Providers</a>
                
            </li>
                    <li>
                <a href="namespaces/app-setting.html">Setting</a>
                
            </li>
                    <li>
                <a href="namespaces/app-view.html">View</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/database.html">Database</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/database-factories.html">Factories</a>
                
            </li>
                    <li>
                <a href="namespaces/database-seeders.html">Seeders</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/packages-explorer.html">Explorer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-filemanager.html">FileManager</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-form.html">Form</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-layer.html">Layer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-metadatagis.html">MetadataGis</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-pages.html">Pages</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-statistic.html">Statistic</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/tests.html">Tests</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/tests-feature.html">Feature</a>
                
            </li>
                    <li>
                <a href="namespaces/tests-unit.html">Unit</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Application.html">Application</a></h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Geonodo.html">Geonodo</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Geonodo-Components.html">Components</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Packages-MetadataGis.html">MetadataGis</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Laravel.html">Laravel</a></h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages.html">Packages</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-layer.html">Layer</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-layer-src.html">src</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-layer-src-http.html">Http</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/packages-layer-src-http-livewire.html">Livewire</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    Geoprocess

        <span class="phpdocumentor-element__extends">
        extends <abbr title="\Livewire\Component">Component</abbr>
    </span>
    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/Application.html">Application</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">14</span>

    </aside>

        
    <section class="phpdocumentor-description"></section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_columns">$columns</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_columnsSelected">$columnsSelected</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_instance">$instance</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_latName">$latName</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_lonName">$lonName</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_module">$module</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_newLayerName">$newLayerName</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_sideMenu">$sideMenu</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_table">$table</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_tablepoint">$tablepoint</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_type">$type</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_unionTable">$unionTable</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_unionType">$unionType</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_unit">$unit</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_valueBuffer">$valueBuffer</a>
    <span>
                &nbsp;: mixed            </span>
</dt>
<dd></dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getInstanceObjectProperty">getInstanceObjectProperty()</a>
    <span>
                        &nbsp;: <a href="classes/App-Models-Admin-Instance.html"><abbr title="\App\Models\Admin\Instance">Instance</abbr></a>|array&lt;string|int, <a href="classes/App-Models-Admin-Instance.html"><abbr title="\App\Models\Admin\Instance">Instance</abbr></a>&gt;|<abbr title="\Illuminate\Database\Eloquent\Collection">Collection</abbr>|<abbr title="\Illuminate\Database\Eloquent\Model">Model</abbr>|null    </span>
</dt>
<dd>Get instance object</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getTablesPointProperty">getTablesPointProperty()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Gets only point layers</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getTablesProperty">getTablesProperty()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Gets all stored layers</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getUnionTypesProperty">getUnionTypesProperty()</a>
    <span>
                        &nbsp;: array&lt;string|int, array&lt;string|int, mixed&gt;&gt;    </span>
</dt>
<dd>Get geospatial union type</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeProcess">makeProcess()</a>
    <span>
                        &nbsp;: <abbr title="\Illuminate\Http\RedirectResponse">RedirectResponse</abbr>    </span>
</dt>
<dd>Starts the geoprocessing process</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_messages">messages()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>Get the error messages for the defined validation rules.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_mount">mount()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_render">render()</a>
    <span>
                        &nbsp;: <abbr title="\Illuminate\Contracts\Foundation\Application">Application</abbr>|<abbr title="\Illuminate\Contracts\View\Factory">Factory</abbr>|<abbr title="\Illuminate\Contracts\View\View">View</abbr>    </span>
</dt>
<dd></dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_rules">rules()</a>
    <span>
                        &nbsp;: array&lt;string|int, mixed&gt;    </span>
</dt>
<dd>The validation rules for Geoprocess</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_updateColumnsTable">updateColumnsTable()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Updates columns of selected layers for join-type geoprocess</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeBufferGeoprocess">makeBufferGeoprocess()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Buffer Geoprocess</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeTransformationCoordinate">makeTransformationCoordinate()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>get latitude and longitude from the geom field</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeUnion">makeUnion()</a>
    <span>
                        &nbsp;: mixed    </span>
</dt>
<dd>Join layers</dd>

            <dt class="phpdocumentor-table-of-contents__entry -method -private">
    <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_transformToDegree">transformToDegree()</a>
    <span>
                        &nbsp;: float|int|null    </span>
</dt>
<dd>Transforms units to decimal degrees</dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_columns">
        $columns
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_columns" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">31</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$columns</span>
     = <span class="phpdocumentor-signature__default-value">[]</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_columnsSelected">
        $columnsSelected
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_columnsSelected" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">32</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$columnsSelected</span>
     = <span class="phpdocumentor-signature__default-value">[]</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_instance">
        $instance
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_instance" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">35</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$instance</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_latName">
        $latName
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_latName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">21</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$latName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_lonName">
        $lonName
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_lonName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">22</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$lonName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_module">
        $module
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_module" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">37</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$module</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_newLayerName">
        $newLayerName
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_newLayerName" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">18</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$newLayerName</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_sideMenu">
        $sideMenu
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_sideMenu" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">36</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$sideMenu</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_table">
        $table
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_table" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">17</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$table</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_tablepoint">
        $tablepoint
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_tablepoint" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">23</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$tablepoint</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_type">
        $type
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_type" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">16</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$type</span>
     = <span class="phpdocumentor-signature__default-value">null</span></code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_unionTable">
        $unionTable
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_unionTable" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">30</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$unionTable</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_unionType">
        $unionType
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_unionType" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">33</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$unionType</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_unit">
        $unit
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_unit" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">26</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$unit</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_valueBuffer">
        $valueBuffer
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#property_valueBuffer" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">27</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
        <span class="phpdocumentor-signature__type">mixed</span>
    <span class="phpdocumentor-signature__name">$valueBuffer</span>
    </code>

        <section class="phpdocumentor-description"></section>

        <section class="phpdocumentor-description"></section>

    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getInstanceObjectProperty">
        getInstanceObjectProperty()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getInstanceObjectProperty" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">272</span>

    </aside>

        <p class="phpdocumentor-summary">Get instance object</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getInstanceObjectProperty</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><a href="classes/App-Models-Admin-Instance.html"><abbr title="\App\Models\Admin\Instance">Instance</abbr></a>|array&lt;string|int, <a href="classes/App-Models-Admin-Instance.html"><abbr title="\App\Models\Admin\Instance">Instance</abbr></a>&gt;|<abbr title="\Illuminate\Database\Eloquent\Collection">Collection</abbr>|<abbr title="\Illuminate\Database\Eloquent\Model">Model</abbr>|null</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><a href="classes/App-Models-Admin-Instance.html"><abbr title="\App\Models\Admin\Instance">Instance</abbr></a>|array&lt;string|int, <a href="classes/App-Models-Admin-Instance.html"><abbr title="\App\Models\Admin\Instance">Instance</abbr></a>&gt;|<abbr title="\Illuminate\Database\Eloquent\Collection">Collection</abbr>|<abbr title="\Illuminate\Database\Eloquent\Model">Model</abbr>|null</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getTablesPointProperty">
        getTablesPointProperty()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getTablesPointProperty" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">262</span>

    </aside>

        <p class="phpdocumentor-summary">Gets only point layers</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getTablesPointProperty</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getTablesProperty">
        getTablesProperty()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getTablesProperty" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">253</span>

    </aside>

        <p class="phpdocumentor-summary">Gets all stored layers</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getTablesProperty</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_getUnionTypesProperty">
        getUnionTypesProperty()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_getUnionTypesProperty" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">281</span>

    </aside>

        <p class="phpdocumentor-summary">Get geospatial union type</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">getUnionTypesProperty</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, array&lt;string|int, mixed&gt;&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, array&lt;string|int, mixed&gt;&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_makeProcess">
        makeProcess()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeProcess" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">226</span>

    </aside>

        <p class="phpdocumentor-summary">Starts the geoprocessing process</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">makeProcess</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><abbr title="\Illuminate\Http\RedirectResponse">RedirectResponse</abbr></span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><abbr title="\Illuminate\Http\RedirectResponse">RedirectResponse</abbr></span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_messages">
        messages()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_messages" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">102</span>

    </aside>

        <p class="phpdocumentor-summary">Get the error messages for the defined validation rules.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">messages</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_mount">
        mount()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_mount" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">42</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">mount</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$route</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$route</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_render">
        render()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_render" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">52</span>

    </aside>

    
    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">render</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type"><abbr title="\Illuminate\Contracts\Foundation\Application">Application</abbr>|<abbr title="\Illuminate\Contracts\View\Factory">Factory</abbr>|<abbr title="\Illuminate\Contracts\View\View">View</abbr></span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type"><abbr title="\Illuminate\Contracts\Foundation\Application">Application</abbr>|<abbr title="\Illuminate\Contracts\View\Factory">Factory</abbr>|<abbr title="\Illuminate\Contracts\View\View">View</abbr></span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_rules">
        rules()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_rules" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">62</span>

    </aside>

        <p class="phpdocumentor-summary">The validation rules for Geoprocess</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">rules</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">array&lt;string|int, mixed&gt;</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_updateColumnsTable">
        updateColumnsTable()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_updateColumnsTable" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">297</span>

    </aside>

        <p class="phpdocumentor-summary">Updates columns of selected layers for join-type geoprocess</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">updateColumnsTable</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_makeBufferGeoprocess">
        makeBufferGeoprocess()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeBufferGeoprocess" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">122</span>

    </aside>

        <p class="phpdocumentor-summary">Buffer Geoprocess</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">makeBufferGeoprocess</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_makeTransformationCoordinate">
        makeTransformationCoordinate()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeTransformationCoordinate" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">152</span>

    </aside>

        <p class="phpdocumentor-summary">get latitude and longitude from the geom field</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">makeTransformationCoordinate</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_makeUnion">
        makeUnion()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_makeUnion" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">169</span>

    </aside>

        <p class="phpdocumentor-summary">Join layers</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">makeUnion</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">mixed</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">mixed</span>
            &mdash;
        
    
</article>
                    <article
        class="phpdocumentor-element
            -method
            -private
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_transformToDegree">
        transformToDegree()
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#method_transformToDegree" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="packages/Layer/src/Http/Livewire/Geoprocess.php"><a href="files/packages-layer-src-http-livewire-geoprocess.html"><abbr title="packages/Layer/src/Http/Livewire/Geoprocess.php">Geoprocess.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">200</span>

    </aside>

        <p class="phpdocumentor-summary">Transforms units to decimal degrees</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">private</span>
                <span class="phpdocumentor-signature__name">transformToDegree</span><span>(</span><span class="phpdocumentor-signature__argument"><span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$to</span></span><span class="phpdocumentor-signature__argument"><span>, </span><span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a>&nbsp;</span><span class="phpdocumentor-signature__argument__name">$value</span></span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">float|int|null</span></code>

    
        <h5 class="phpdocumentor-argument-list__heading">Parameters</h5>
    <dl class="phpdocumentor-argument-list">
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$to</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
                    <dt class="phpdocumentor-argument-list__entry">
                <span class="phpdocumentor-signature__argument__name">$value</span>
                : <span class="phpdocumentor-signature__argument__return-type"><a href=""><abbr title=""></abbr></a></span>
                            </dt>
            <dd class="phpdocumentor-argument-list__definition">
                
            </dd>
            </dl>

    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">float|int|null</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/Packages-Layer-src-Http-Livewire-Geoprocess.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
